include:
  remote: https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v1.2.0/jobtech-ci.yml

variables:
  ROOT_PATH: /builds/$CI_PROJECT_PATH

vitest_coverage:
  image: node:21
  stage: test
  before_script:
    - npm install
  script:
    - npm run test:coverage
  coverage: /^All files[^\|]*\|[^\|]*\|[^\|]*\s+([\d\.]+).*$/
  artifacts:
    paths:
      - ${ROOT_PATH}/coverage/index.html
    reports:
      coverage_report:
        coverage_format: cobertura
        path: ${ROOT_PATH}/coverage/index.html
      junit:
        - ${ROOT_PATH}/junit-report.xml

